#include <bits/stdc++.h>

using namespace std;

char c[700][700];

int main()
{
    int m,n;
    cin>>n>>m;
    for(int i=1;i<=n;i++)
        for(int j=1;j<=m;j++)
        cin>>c[i][j];
    cout<<"-1";
}